services:
  memcache.settings:
    class: Drupal\memcache\MemcacheSettings
    arguments: ['@settings']
  memcache.factory:
    class: Drupal\memcache\Driver\MemcacheDriverFactory
    arguments: ['@memcache.settings']
  memcache.timestamp.invalidator.bin:
    class: Drupal\memcache\Invalidator\MemcacheTimestampInvalidator
    # Override this service and adjust tolerance if necessary.
    arguments: ['@memcache.factory', 'memcache_bin_timestamps', 0.001]
  cache.backend.memcache:
    class: Drupal\memcache\MemcacheBackendFactory
    arguments: ['@memcache.factory', '@cache_tags.invalidator.checksum', '@memcache.timestamp.invalidator.bin']
  memcache.lock.factory:
    class: Drupal\memcache\Lock\MemcacheLockFactory
    arguments: ['@memcache.factory']
